<template>
	<form id="loginForm">
		<h2>Login</h2>
		<label for="email">Email</label>
		<input type="text" id="email" v-model="emailVal" placeholder="Email" required />
		<label for="password">Password</label>
		<input type="password" id="password" v-model="passwordVal" placeholder="Password" required />
		<input type="submit" value="Login" @click.prevent="signIn" />
	</form>
</template>
<script setup>
import { onMounted, ref } from 'vue';

const message = ref('')
const notSignedIn = ref(true);

const emailVal = ref('');
const passwordVal = ref('');


const props = defineProps({
	email: {
		default: '',
		type: String
	},
	password: {
		default: '',
		type: String
	}
});

onMounted(() => {
	emailVal.value = props.email;
	passwordVal.value = props.password;
});

const login = {
	email: 'enrik@mail.com',
	password: 'Azerty123'
}

const signIn = () => {
	if (email.value === login.email && password.value === login.password) {
		notSignedIn.value = false;
	}
	else {
		message.value = 'Incorrect credentials';

	}
}

</script>
<style scoped>
body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	margin: 0;
	font-family: Arial, sans-serif;
}

form {
	width: 300px;
	padding: 20px;
	border: 1px solid #ccc;
	border-radius: 5px;
	background-color: #f5f5f5;
}

input[type='text'],
input[type='password'] {
	width: 100%;
	padding: 10px;
	margin-bottom: 10px;
	box-sizing: border-box;
}

input[type='submit'] {
	width: 100%;
	padding: 10px;
	border: none;
	background-color: #4caf50;
	color: #fff;
	cursor: pointer;
}
</style>
  